Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012139Arma 3Multiplayerpublic2013-07-30 12:492013-09-18 22:04
Reporterozdeadmeat 
Assigned ToMoricky 
PrioritynoneSeveritynoneReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 bit
Product Version0.74.108.135 
Target VersionFixed in Version 
2 vote(s) 100,00%
vote(s) 0,00%
Summary0012139: Error using Respawn Templates
DescriptionWhen attempting to utilizing the new respawn templates screen I am returned an error.

When utilizing the "MenuInventory" and "MenuPosition" options I am returned with this error.

error generic error in expression a3\functions_f\GUI\fn_setIDCStreamFriendly.sqf, line 15

When using only "MenuPosition" option I am given a different error.

error undified variable in expression: bis_fnc_respawnmenuposition_positions
File A3\Functions_f\respawn\fn_respawnMenuPosition.sqf, line 108

I have 2 flag pole positions given to mission via BIS_fnc_addRespawnPosition.
Steps To Reproduceutilize this description.ext

//CODE START

//Mission Parameter Stuff
titleParam1 = "Time limit:";
valuesParam1[] = {0, 300, 600, 900};
defValueParam1 = 900;
textsParam1[] = {"Unlimited", "5 min", "10 min", "15 min"};




//In Game Stuff
briefing=0;
debriefing=1;
showGPS=0;
showCompass=0;
enableItemsDropping = 0;
disableChannels[]={0,6};
disabledAI=0;
aiKills=1;

//Respawn Stuff
Respawn = 3;
RespawnDelay = 8;
RespawnDialog = 0;

class CfgRespawnInventory
{
    class WEST1
    {
        displayName = "Light"; // Name visible in the menu
        icon = "\A3\Ui_f\data\GUI\Cfg\Ranks\sergeant_gs.paa"; // Icon displayed next to the name
        // Condition must return true in order for the loadout to be displayed in the menu.
        // Evaluated when the menu is opened.
        show = "side group _this == west";

        // Loadout definition, uses same entries as CfgVehicles classes
        weapons[] = {
            "arifle_MXC_F",
            "Binocular"
        };
        magazines[] = {
            "30Rnd_65x39_caseless_mag",
            "30Rnd_65x39_caseless_mag",
            "SmokeShell"
        };
        items[] = {
            "FirstAidKit"
        };
        linkedItems[] = {
            "V_Chestrig_khk",
            "H_Watchcap_blk",
            "optic_Aco",
            "acc_flashlight",
            "ItemMap",
            "ItemCompass",
            "ItemWatch",
            "ItemRadio"
        };
        uniformClass = "U_B_CombatUniform_mcam_tshirt";
        backpack = "B_AssaultPack_mcamo";
    };
    class WEST2
    {
        // Alternative configuration pointing to a CfgVehicles class. Loadout will be copied from it.
        vehicle = "B_soldier_AR_F"
        show = "side group _this == west && score player > 10";
    };
};

respawnTemplatesWest[] = {"MenuInventory","MenuPosition"};

class Header
{
    gameType = COOP;
    minPlayers = 1;
    maxPlayers = 16;
};

//CODE END


init.sqf

//code start

[west,flag1] call BIS_fnc_addRespawnPosition;
[west,flag2] call BIS_fnc_addRespawnPosition;

//code end
TagsNo tags attached.
Game VersionArma 3 Beta Dev
Attached Files

- Relationships

-  Notes
(0044929)
KDN (reporter)
2013-07-30 13:54
edited on: 2013-07-30 18:06

I have a much simpler setup that has been working with no errors until the last two updates and indeed use of the MenuPosition template is throwing the same error and players cannot Respawn at all.

It started on yesterday's (July 29) dev version and it is also present in today's (July 30) Dev update.

(0045005)
tyl3r99 (reporter)
2013-07-30 20:01

use the multiplayer modules then
(0045008)
ozdeadmeat (ticket author)
2013-07-30 20:16

???
(0045042)
KDN (reporter)
2013-07-30 22:13

tyl3r99, it is BIS functions that give that error and as ozdeadmeat asks, what do you mean?
(0045229)
KDN (reporter)
2013-07-31 19:40

In today's update, version 0.75.108378, the above reported issue is FIXED!!

It is not that you are effective and on the ball while a rain of all shorts of reports are reaching you...you are also very fast doing so :)
Many thanks for taking care of it.
(0045233)
Moricky (Bohemia Interactive - developer)
2013-07-31 20:36

Fixed it this this morning, sorry for not marking it as resolved before.
(0054590)
Fireball (moderator)
2013-09-18 22:04

Mass closing resolved tickets from last month.

- Issue History
Date Modified Username Field Change
2013-07-30 12:49 ozdeadmeat New Issue
2013-07-30 13:54 KDN Note Added: 0044929
2013-07-30 16:55 KDN Note Edited: 0044929 View Revisions
2013-07-30 18:06 KDN Note Edited: 0044929 View Revisions
2013-07-30 20:01 tyl3r99 Note Added: 0045005
2013-07-30 20:16 ozdeadmeat Note Added: 0045008
2013-07-30 22:13 KDN Note Added: 0045042
2013-07-31 06:50 Moricky Assigned To => Moricky
2013-07-31 06:50 Moricky Status new => assigned
2013-07-31 19:40 KDN Note Added: 0045229
2013-07-31 20:36 Moricky Note Added: 0045233
2013-07-31 20:36 Moricky Status assigned => resolved
2013-07-31 20:36 Moricky Resolution open => fixed
2013-09-18 22:04 Fireball Note Added: 0054590
2013-09-18 22:04 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team